Skip to content

REST API: iOS behaviors List

This GET endpoint retrieves a list of all notification iOS behaviors for a specific application.

GET API url -> /api/v1/notifications/ios-behaviors

Query Parameters

The following query parameters are possible:

Field Type Description Required
appId String Application id

Response Examples

[
    {
        "id": "inb_yxfcfmIb1lvEk6iUFRNgDvUY3utyYI9E",
        "appId": "developer.iOS.id.app",
        "name": "Silent",
        "description": "Non-intrusive updates",
        "bypassDND": false,
        "interruptionLevel": "passive",
        "createdAt": 1771857697085,
        "default": true
    },
    {
        "id": "inb_toXeV3FKDYbFlaI7GIBPex7Q3q1IVQdN",
        "appId": "developer.iOS.id.app",
        "name": "Reminders",
        "description": "Scheduled tasks and reminders",
        "bypassDND": false,
        "interruptionLevel": "time-sensitive",
        "createdAt": 1771857697085,
        "default": true
    },
    {
        "id": "inb_16iwtGx1pOI2hGSFmPcyGdZ7d8V5rfWY",
        "appId": "developer.iOS.id.app",
        "name": "Immediate",
        "description": "Example usage: chat messaging.",
        "bypassDND": true,
        "interruptionLevel": "time-sensitive",
        "createdAt": 1771857697085,
        "default": true
    },
    {
        "id": "inb_LHD5GFevz0wK9IxshVY97xwhM7jh4cBA",
        "appId": "developer.iOS.id.app",
        "name": "General",
        "description": "Standard updates and messages",
        "bypassDND": false,
        "interruptionLevel": "active",
        "createdAt": 1771857697085,
        "default": true
    },
    {
        "id": "inb_JRBIxyBgHRD5uwp3nrFnRUULon7k3Ops",
        "appId": "developer.iOS.id.app",
        "name": "Alerts",
        "description": "Critical alerts and warnings",
        "bypassDND": true,
        "interruptionLevel": "critical",
        "createdAt": 1771857697085,
        "default": true
    }
]
Error message